#include <SDL/SDL.h>
#include <vector.h>

//#define VELOCIDADSCROLL 50

class Fondo
{
	SDL_Surface * fondoActual, *fondoSiguiente;
	SDL_Surface * fondoAnticipacion;
	vector<char *> vectorPaths;
	SDL_Rect posicion;
	SDL_Rect primerCacho, segundoCacho;
	int numSiguienteTrozo;
	Uint32 coordX;
	float coordXfloat,coordWfloat;
	bool loop;
	int VELOCIDADSCROLL;
	
	public:
		Fondo(char * path,int velocidad);
		~Fondo();
		
		SDL_Surface* getSiguienteMapa();
		SDL_Surface* getSurface();
		void AnadirFondo(char * path); //para tema de scrolling
		void IniciarScroll();
		void Dibujar(SDL_Surface* pantalla);
		void Actualizar(float time);
		void setLoop(bool valor);
		
		Uint32 getCoordX();
};
